<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class Carrinho extends CI_Controller {
    
    function __construct() {
        parent::__construct();
        $this->load->model('Cadastro_Model');
        $this->load->model('Cursos_Model');
        $this->load->library('Criptografia');
        $this->load->database();
    }
    
    public function carrinho() {
        
         if (isset($_SESSION['aluno']) == TRUE) {
             
            $id = $_SESSION['aluno']['id_aluno'];
            $aluno = $this->Cadastro_Model->getAlunoPorID($id);
            
            $dados = array('descricao' => '','aluno' => $aluno,'termos' => $this->Cadastro_Model->obtemTermo(),'titulo' => 'Carrinho');
            $this->load->view('carrinho', $dados);    
         } else {
             redirect();
         }
    }
    
        //Função que adiciona o conteúdo ao carrinho de compras.
    public function inserir() {
        
        if (isset($_SESSION['aluno']) == FALSE){
            redirect();
        } else {
            
            $id = $this->criptografia->decodifica($this->input->post("id"));
            $nome_disciplina = $this->criptografia->decodifica($this->input->post("descricao"));
            
            $preco = $this->criptografia->decodifica($this->input->post("preco"));
            $valor = str_replace(",",".", $preco);
            $cargahoraria = $this->criptografia->decodifica($this->input->post("cargahoraria"));
            $id_historico =  $this->criptografia->decodifica($this->input->post("h"));

            //A biblioteca do carrinho de compras já está carregada lá pelo autoload, então não preciso chamá-la aqui novamente.
           // Esta linha serve para permitir que produtos com acentuação no nome sejam aceitos.
            $this->cart->product_name_rules = "'\d\D'";

            $data = array('id' => $id, 'qty' => 1, 'price' => $valor, 'name' => $nome_disciplina, 'cargahoraria' => $cargahoraria, 'id_historico' => $id_historico);

            // SE O ITEM NÃO ESTIVER NO CARRINHO EU INSIRO NO CARRINHO
            $this->cart->insert($data);
        }
    }

    function verificaproduto() {
        if (isset($_SESSION['aluno']) == FALSE) {
            redirect();
        } else {
            $row_id = $this->criptografia->decodifica($this->input->post('id')); // RECEBO VIA POST DA MINHA FUNÇÃO JQUERY

            $codificada = md5($row_id);

            if (($this->cart->get_item($codificada)) == FALSE) {
                echo json_encode('false');
            } else {
                // SE NÃO EU RETORNO UM JSON PARA A MINHA FUNÇÃO JQUERY 
                echo json_encode('true');
            }
        }
    }
    
    function reiniciarCarrinho() {
        if (isset($_SESSION['aluno']) == FALSE) {
            redirect();
        } else {
           
            $this->cart->destroy();
           
            redirect('cursosmatriculados');
        }
    }

    //Função que limpa o conteúdo do carrinho de compras.
    function remove($rowid) {
        if (isset($_SESSION['aluno']) == FALSE) {
            redirect();
        } else {
            if ($rowid === "all") {
                $this->cart->destroy();
            } else {

                $data = array(
                    'rowid' => $rowid,
                    'qty' => 0
                );

                $this->cart->update($data);
            }
            redirect('carrinho');
        }
    }
}
